Список доменов
Перечисляет клиентские домены, видимые субъекту публичного API.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"outbound_routing_ready": true,
"status": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_renew": false,
"created_at": "<string>",
"dedicated_ip_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_external_id": "<string>",
"inbound_tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inbound_tenant_name": "<string>",
"inbound_tenant_type": "<string>",
"redirect_mode": "301",
"redirect_url": "<string>",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"updated_at": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры пути
Параметры запроса
Ответ
Домены на этой странице
Hide child attributes
Hide child attributes
Домен UUID
Доменное имя
Готова ли исходящая маршрутизация
Статус жизненного цикла домена
Рабочая область UUID, содержащая домен.
Включено ли автоматическое продление домена
Временная метка создания домена
Назначенный выделенный IP UUID, если таковой имеется.
Внешний идентификатор поставщика для входящего клиента
Входящий клиент UUID, если назначен
Отображаемое имя входящего клиента, если назначено
Тип входящего клиента, если назначен
Настроенный режим перенаправления, если есть
301, 302, iframe Настроен URL-адрес перенаправления, если таковой имеется.
Временная метка последнего обновления домена
Текущий номер страницы, основанный на единице
Максимальное количество элементов на странице
Всего совпадающих доменов
Была ли эта страница полезной?
